Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class SetBinding

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractAttributeBinding
          org.hibernate.metamodel.binding.AbstractPluralAttributeBinding
              org.hibernate.metamodel.binding.SetBinding

All Implemented Interfaces:
  AssociationAttributeBinding, AttributeBinding, PluralAttributeBinding

    public class SetBinding

extends AbstractPluralAttributeBinding

Constructor Summary
`protected` | `SetBinding(AttributeBindingContainer container, PluralAttribute attribute, CollectionElementNature collectionElementNature)`

Method Summary
`Comparator` | `getComparator()`
`void` | `setComparator(Comparator comparator)`

Methods inherited from class org.hibernate.metamodel.binding.AbstractPluralAttributeBinding
`addFilter, getAttribute, getBatchSize, getCaching, getCascadeStyle, getCollectionElement, getCollectionKey, getCollectionPersisterClass, getCollectionTable, getComparatorClassName, getCustomLoaderName, getCustomSqlDelete, getCustomSqlDeleteAll, getCustomSqlInsert, getCustomSqlUpdate, getFetchMode, getFetchStyle, getFetchTiming, getFilterMap, getOrderBy, getReferencedPropertyName, getWhere, isAssociation, isInverse, isMutable, isOrphanDelete, isSorted, setBatchSize, setCaching, setCascadeStyles, setCollectionPersisterClass, setCollectionTable, setCustomLoaderName, setCustomSqlDelete, setCustomSqlDeleteAll, setCustomSqlInsert, setCustomSqlUpdate, setFetchStyle, setFetchTiming, setInverse, setMutable, setOrderBy, setWhere`

Methods inherited from class org.hibernate.metamodel.binding.AbstractAttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setAlternateUniqueKey, setIncludedInOptimisticLocking, setLazy, setMetaAttributeContext, setPropertyAccessorName, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Constructor Detail

### SetBinding

    protected SetBinding(AttributeBindingContainer container,
                         PluralAttribute attribute,
                         CollectionElementNature collectionElementNature)

Method Detail

### getComparator

    public Comparator getComparator()

  Specified by:
    `getComparator` in interface `PluralAttributeBinding`
  Overrides:
    `getComparator` in class `AbstractPluralAttributeBinding`

### setComparator

    public void setComparator(Comparator comparator)

  Overrides:
    `setComparator` in class `AbstractPluralAttributeBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.